Summary:    FUSE (Filesystem in Userspace) v3 utilities
Name:		fuse3
Version:	3.11.0
Release:	3%{?dist}
License:	GPL+
URL:		http://fuse.sf.net
Source0:    https://github.com/libfuse/libfuse/releases/download/fuse-%{version}/fuse-%{version}.tar.xz

BuildRequires:	which meson ninja-build gcc gcc-c++ systemd-udev libselinux-devel
Requires:   fuse-common = %{version}-%{release}

%description
This package provides functions (v3) to mount the file system, unmount it, read
requests from the kernel, and send responses back.

%package libs
Summary:	FUSE (Filesystem in Userspace) v3 libraries
License:	LGPLv2+

%description libs
This package provides FUSE v3 libraries.

%package -n fuse-common
Summary:    Common files for FUSE (Filesystem in Userspace) v2 and v3
License:    GPL+

%description -n fuse-common
Common files for FUSE (Filesystem in Userspace) v2 and v3

%package devel
Summary:	FUSE (Filesystem in Userspace) v3 development files
License:	LGPLv2+
Requires:	%{name}-libs = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package provides FUSE v3 development files.

%prep
%autosetup -n fuse-%{version}

%build
export LC_ALL=en_US.UTF-8
%meson

pushd %{_vpath_builddir}
meson configure -D useroot=false
ninja-build reconfigure
popd

%meson_build

%install
export MESON_INSTALL_DESTDIR_PREFIX=%{buildroot}%{_prefix} 
%meson_install

install -p -m 0644 util/fuse.conf %{buildroot}%{_sysconfdir}

find %{buildroot} -type f -name "*.la" -delete -print
rm -f %{buildroot}%{_sysconfdir}/init.d/fuse3
rm -f %{buildroot}%{_udevrulesdir}/99-fuse3.rules
rm -f %{buildroot}%{_libdir}/*.a

%post -p /sbin/ldconfig libs
%postun -p /sbin/ldconfig libs

%files
%license LICENSE GPL2.txt
%doc AUTHORS ChangeLog.rst README.md
%{_sbindir}/mount.fuse3
%attr(4755,root,root) %{_bindir}/fusermount3
%{_mandir}/man1/*
%{_mandir}/man8/*

%files libs
%license LGPL2.txt
%{_libdir}/libfuse3.so.*

%files -n fuse-common
%config(noreplace) %{_sysconfdir}/fuse.conf

%files devel
%{_includedir}/fuse3/
%{_libdir}/pkgconfig/fuse3.pc
%{_libdir}/libfuse3.so

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jun 28 2022 Xiaojie Chen <jackxjchen@tencent.com> - 3.11.0-1
- Initial build
